# Class PostTurnFormChangeAbAttr

#### Hierarchy (view full)

- PostTurnAbAttr
  - PostTurnFormChangeAbAttr

- Defined in src/data/ability.ts:2660

#####
Index

### Constructors

constructor

### Properties

formFunc
showAbility

### Methods

addCondition
apply
applyPostTurn
getCondition
getTriggerMessage

## Constructors

### constructor

- new PostTurnFormChangeAbAttr(formFunc): PostTurnFormChangeAbAttr

- #### Parameters

  - formFunc: ((p) => number)
    - - (p): number

      - #### Parameters

        - p: default

        #### Returns number

  #### Returns PostTurnFormChangeAbAttr

  Overrides PostTurnAbAttr.constructor

  - Defined in src/data/ability.ts:2663

## Properties

### `Private` formFunc

formFunc: ((p) => number)

#### Type declaration

- - (p): number

  - #### Parameters

    - p: default

    #### Returns number

- Defined in src/data/ability.ts:2661

### showAbility

showAbility: boolean

Inherited from PostTurnAbAttr.showAbility

- Defined in src/data/ability.ts:126

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from PostTurnAbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from PostTurnAbAttr.apply

  - Defined in src/data/ability.ts:133

### applyPostTurn

- applyPostTurn(pokemon, passive, args): boolean

- #### Parameters

  - pokemon: default
  - passive: boolean
  - args: any[]

  #### Returns boolean

  Overrides PostTurnAbAttr.applyPostTurn

  - Defined in src/data/ability.ts:2669

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from PostTurnAbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from PostTurnAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:137